### Method

# Soup MultipartInputStream get_headers

#### Declaration [src]

    SoupMessageHeaders*
    soup_multipart_input_stream_get_headers (
      SoupMultipartInputStream* multipart
    )

#### Description [src]

Obtains the headers for the part currently being processed.

Note that the `SoupMessageHeaders` that are returned are owned by the `SoupMultipartInputStream` and will be replaced when a call is made to `soup_multipart_input_stream_next_part()` or its async counterpart, so if keeping the headers is required, a copy must be made.

Note that if a part had no headers at all an empty `SoupMessageHeaders` will be returned.

#### Return value

Type: `SoupMessageHeaders`

A `SoupMessageHeaders` containing the headers for the part currently being processed or `NULL` if the headers failed to parse.

The data is owned by the instance.
The return value can be `NULL`.